import React, { ChangeEvent, FC } from 'react';
import Paper from '@mui/material/Paper';
import Typography from '@mui/material/Typography';
import Box from '@mui/material/Box';
import TextField from '@mui/material/TextField';


export const AIBot: FC<{
  name?: string
  value: string
  onChange: (value: string) => void
}>
  = ({ value, name, onChange }) => {
  const handleChange = (e: ChangeEvent<HTMLInputElement>) => {
    onChange(e.target.value);
  };
  return (
    <Paper sx={{ p: 2, mb: 2 }}>
      <Typography variant="subtitle1">{name ? `${name}` : 'AI Robot'}</Typography>
      <Typography variant="caption" component="div" sx={{ mb: 1 }}>
        You can maintain your knowledge in <a style={{ color: '#f50057' }} target="_blank" rel="noreferrer"
                                              href="https://arf-xmn.int.rclabenv.com/admin/source">Artificial
        Intelligence Admin Portal</a>
      </Typography>
      <Box>
        <TextField label="AI Robot ID" fullWidth onChange={handleChange} value={value}
        />
      </Box>
    </Paper>
  );
};
