import React, { FC } from 'react';
import Box from '@mui/material/Box';
import Paper from '@mui/material/Paper';
import Typography from '@mui/material/Typography';
import { Editor } from './Editor';

export const ScriptBlock: FC<{ value: string; name?: string; onChange: (value: string) => void }> = ({
                                                                                                       name,
                                                                                                       ...props
                                                                                                     }) => {
  return (
    <Paper sx={{ p: 2, mb: 2 }}>
      <Typography variant="subtitle1" sx={{ mb: 1 }}>{name ? `${name}` : 'Script'}</Typography>
      <Box>
        <Editor {...props} />
      </Box>
    </Paper>
  );
};
