import '@fontsource/roboto/400.css';
import '@fontsource/roboto/300.css';
import '@fontsource/roboto/500.css';
import '@fontsource/roboto/700.css';
import './index.css';
import React from 'react';
import ReactDOM from 'react-dom/client';
import App from './App';
import { ThemeProvider, createTheme } from '@mui/material/styles';
import CssBaseline from '@mui/material/CssBaseline';
import { MessageBox } from 'mui-message';

const root = ReactDOM.createRoot(
  document.getElementById('root') as HTMLElement
);
const theme = createTheme({
  palette: {
    mode: 'dark',
    primary: {
      // main: '#3f51b5',
      main: '#aab5f1'
    },
    tonalOffset: 0.6,
    secondary: {
      main: '#f50057',
    },
    background: {
      paper: '#404041',
      default: '#242425',
    },
  },
});
root.render(
  <React.StrictMode>
    <ThemeProvider theme={theme}>
      <CssBaseline/>
      <MessageBox/>
      <App/>
    </ThemeProvider>
  </React.StrictMode>
);
