/*
 * @Author       : Eleanor Mao
 * @Date         : 2024-04-12 10:53:40
 * @LastEditTime : 2024-04-12 10:53:40
 *
 * Copyright © RingCentral. All rights reserved.
 */
export const formatTime = (time?: string | number) => {
  if (!time) return 'Never';
  const date = new Date(typeof time === 'string' ? time : time * 1000);
  const theTime = date.getTime();
  const now = Date.now();
  const diff = now - theTime;
  const month = date.getMonth() + 1;
  const daate = date.getDate();
  const hours = date.getHours();
  const mins = `${date.getMinutes() + 100}`.slice(1);

  if (diff < 15 * 60 * 1000) {
    return 'Just now';
  } else if (diff < 60 * 60 * 1000) {
    return `${Math.floor(diff / 1000 / 60 )}m ago`;
  } else if (diff < 24 * 60 * 60 * 1000) {
    return `${Math.floor(diff / 1000 / 60 / 60)}h ago`;
  } else if (diff < 7 * 24 * 60 * 60 * 1000) {
    return `${Math.floor(diff / 1000 / 60 / 60 / 24 )}d ago`;
  }
  return `${month}/${daate} ${hours}:${mins}`;
};
